package com.ruoyi.book.domain.req;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 书籍信息对象 book_info
 *
 * @author DongZeLiang
 * @date 2023-10-11
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "BookInfoEditReq", description = "书籍信息")
public class BookInfoEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty(name = "名称", value = "名称", required = true)
    private String name;

    /** 价格 */
    @Excel(name = "价格")
    @ApiModelProperty(name = "价格", value = "价格", required = true)
    private BigDecimal price;

}
