package com.ruoyi.book.service.impl;

import java.util.List;

import com.ruoyi.book.domain.BookInfo;
import com.ruoyi.common.utils.ObjUtils;
import org.springframework.stereotype.Service;
import com.ruoyi.book.mapper.BookInfoMapper;
import com.ruoyi.book.service.BookInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 书籍信息Service业务层处理
 *
 * @author DongZeLiang
 * @date 2023-10-09
 */
@Service
public class BookInfoServiceImpl extends ServiceImpl<BookInfoMapper, BookInfo>  implements BookInfoService {

    /**
     * 查询书籍信息列表
     *
     * @param bookInfo 书籍信息
     * @return 书籍信息
     */
    @Override
    public List<BookInfo> list(BookInfo bookInfo) {
        LambdaQueryWrapper<BookInfo> queryWrapper = new LambdaQueryWrapper<>();

        if (ObjUtils.notNull(bookInfo.getName())){
            queryWrapper = queryWrapper.like(BookInfo::getName, bookInfo.getName());
        }

        if (ObjUtils.notNull(bookInfo.getPrice())){
            queryWrapper = queryWrapper.between(BookInfo::getPrice, bookInfo.getParams().get("beginPrice"), bookInfo.getParams().get("endPrice"));
        }


        return list(queryWrapper);
    }



}
